# Developer Environments

A number of development environments have been set up, adapted to different tasks.  

Please note that the instructions for the development environments are written for developers.  They do not necessarily explain every step in detail and have not necessarily been tested on every combination of hardware, operating system, software setup and so on.  You are welcome to contact us for assistance in troubleshooting problems that may arise. 

To install a development environment, follow these steps:

- [Ensure that you have a supported operating system](doc/install_os.md) (directly on your hardware or in a virtual machine)
 
The development environment then provides many additional functionalities 
related to the core system, including those functionalities that are present 
in the tutorials.

## Development Environments

When you have installed 

software according to the instructions above,
you can follow the following instructions to set up and test basic 
functionality.

- [Log in to Docker Registry](https://gitlab.liu.se/lrs/devenv_docker_images) -- Just follow the instructions to log in using a Gitlab user/password or deploy key.  Do *not* download any images using `docker pull`.  If you can't access this page, ++++++++ what to do?  Ask us for access?

- [Prepare Existing ROS Computer](doc/prepare_ros_computer.md)

- [Using a Local ROS Installation with LRS Docker Modules](doc/local_ros_installation.md)


The basic idea is that the developer already has a Linux Ubuntu ROS installation 
and then either checks out publicly available ROS package repos or
uses Docker to get access to the software that is not publicly available.

When you have a ROS machine, 

For more information on how to integrate your code we have split the information in different sub-areas:

- [Development Environment: Gränsö](https://gitlab.liu.se/lrs/lrs_devenv_granso): Sensor simulation in Gränsö doe DJI, MQTT interface also to images
- [Development Environment: Control](https://gitlab.liu.se/lrs/lrs_devenv_control)
- [Development Environment: Motion Planning](https://gitlab.liu.se/lrs/lrs_devenv_motion_planning)
- [Development Environment: Task Planning](https://gitlab.liu.se/lrs/lrs_devenv_task_planning)

