# Prepare Existing Computer

If you already have a ROS computer with a docker daeamon follow the
instructions below.

## Configuring Development Computer

You need an Ubuntu machine with Docker installed.  Tested with 18.04 and 20.04.

### Install Public Repos

To install the public LRS repos containing mostly messages definitions and service calls:
```bash
mkdir lrs_ws
cd lrs_ws
mkdir src
cd src
git clone https://gitlab.liu.se/lrs/lrs_msgs_common.git
git clone https://gitlab.liu.se/lrs/lrs_kdb_bridge_msgs.git
git clone https://gitlab.liu.se/lrs/lrs_kdb_msgs.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_wdb.git
git clone https://gitlab.liu.se/lrs/lrs_team_msgs.git
git clone https://gitlab.liu.se/lrs/lrs_msgs_del.git
git clone https://gitlab.liu.se/lrs/lrs_msgs_mp.git
git clone https://gitlab.liu.se/lrs/lrs_msgs_tfpop.git
git clone https://gitlab.liu.se/lrs/lrs_msgs_tst.git
git clone https://gitlab.liu.se/lrs/lrs_msgs.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_exec.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_wdb.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_tst.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_del.git
git clone https://gitlab.liu.se/lrs/lrs_srvs.git
git clone https://gitlab.liu.se/lrs/lrs_launch.git
git clone https://gitlab.liu.se/lrs/lrs_util_tst.git
git clone https://gitlab.liu.se/lrs/lrs_util_del.git
git clone https://gitlab.liu.se/lrs/lrs_util_wdb.git
git clone https://gitlab.liu.se/lrs/lrs_pyutil.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_ra.git
git clone https://gitlab.liu.se/lrs/lrs_srvs_cons.git
git clone https://gitlab.liu.se/lrs/lrs_wara_gazebo.git
git clone https://gitlab.liu.se/lrs/lrs_common.git
```

### NVIDIA drivers Docker

To get nvidia graphics to work in docker see:
- https://github.com/NVIDIA/nvidia-docker

or just do:
```bash
# Add the package repositories
distribution=$(. /etc/os-release;echo $ID$VERSION_ID)
curl -s -L https://nvidia.github.io/nvidia-docker/gpgkey | sudo apt-key add -
curl -s -L https://nvidia.github.io/nvidia-docker/$distribution/nvidia-docker.list | sudo tee /etc/apt/sources.list.d/nvidia-docker.list

sudo apt-get update && sudo apt-get install -y nvidia-docker2
sudo systemctl restart docker
```